attribute_type< T2DVector< T > > Struct Template Reference

`#include <mia/2d/vector.hh>`

Inheritance diagram for attribute_type< T2DVector< T > >:
[legend]
Collaboration diagram for attribute_type< T2DVector< T > >:
[legend]

## Static Public Attributes

static const int | value = attribute_type<T>::value | vector_2d_bit
Static Public Attributes inherited from EAttributeType
static const int | attr_bool = 1
static const int | attr_double = 11
static const int | attr_float = 10
static const int | attr_schar = 3
static const int | attr_sint = 7
static const int | attr_slong = 9
static const int | attr_sshort = 5
static const int | attr_string = 12
static const int | attr_uchar = 2
static const int | attr_uint = 6
static const int | attr_ulong = 8
static const int | attr_unknown = 0
static const int | attr_ushort = 4
static const int | vector_bit = 0x80000000
Static Public Attributes inherited from EAttributeType_2d
static const int | vector_2d_bit = 0x20000

## Additional Inherited Members

Static Public Member Functions inherited from EAttributeType
static bool | is_vector (int type)
static int | scalar_type (int type)
Static Public Member Functions inherited from EAttributeType_2d
static bool | is_vector2d (int type)

## Detailed Description

template<typename T>
struct attribute_type< T2DVector< T > >

Definition at line 300 of file 2d/vector.hh.

## Field Documentation

## value

template<typename T>

const int attribute_type< T2DVector< T > >::value = attribute_type<T>::value | vector_2d_bit

static

Definition at line 301 of file 2d/vector.hh.

The documentation for this struct was generated from the following file:

- 2d/vector.hh